Subject: RE: [DNA] draft-ietf-dna-frd-00.txt clarification for RA trigger

From: "Kent Leung (kleung)" <[email-masked]>
Date: Thu, 17 Nov 2005 16:32:25 -0800

Hi Greg.  Thanks for the clarification.  I hope some new explanatory
text will introduced in the next version.

Kent 

> -----Original Message-----
> From: Greg Daley [mailto:[email-masked]] 
> Sent: Thursday, November 17, 2005 3:29 PM
> To: Kent Leung (kleung)
> Cc: [email-masked]
> Subject: Re: [DNA] draft-ietf-dna-frd-00.txt clarification 
> for RA trigger
> 
> Hi Kent,
> 
> Kent Leung (kleung) wrote:
> >  
> > Hi folks.  Just joined the alias.  Hope this has not been 
> discussed already.
> >  
> > This section says that the PoA can send RS to trigger RA 
> from the AR.  
> > What's not clear is what source link-layer address is put into the 
> > TSLLAO option (maybe it's implicit)?  I'm assuming that the source 
> > link-layer address of the RS is the PoA, and the address in 
> TSLLAO is 
> > the host so the RA can be unicasted directly to the host.
> 
> Yes, I think that this is the intention.
> 
> > 3.1  RA Triggering
> > 
> >    There are two ways for such a remote Link Up event 
> notification.  We
> >    may use the MIES (Media Independent Event Service) 
> defined in IEEE
> >    802.21 [21] or RS with TSLLAO (Tentative Source 
> Link-Layer Address
> >    Option) [14].
> > 
> > In the 802.11 example below, no mention of RS method.  In 
> this case, 
> > the
>  > AP will send RS with source MAC address being AP's and the 
>  > TSLLAO containing the host.
> > 
> 
> Yes, I think so.
> 
> 
> > 5.2.1  802.11
> > 
> >    In 802.11 Wireless LAN technology, when a new host arrives at an
> >    AP(Access Point), it should associate with the AP.  The 
> host sends an
> >    Association Request Message with its MAC address.  Then 
> the AP sends
> >    an Association Response Message to grant association.
> > 
> >    As soon as association is made, the AP sends a cached RA 
> to the host
> >    in an unicast 802.11 frame with the MAC address from the 
> Association
> >    Request message.  The host receives the unicast RA just after
> >    association is made, which is the earliest possible time 
> in current
> >    standard.
> >  
> > 
> > What is the status of  draft-daley-ipv6-tsllao-02.txt?
>  > Is this being adopted in IPv6 or DNA WG?
> 
> It may be adopted in DNA working group.
> That seemed to be the feel of the room at the session.
> 
> That said, the draft wasn't presented in a regular way (not 
> advertised in the agenda, and I was actually surprised that 
> Suresh asked me to make a presentation on-the-fly).
> So we definitely need to make an on-list consensus call as to 
> whether the document should be adopted in DNA as a WG document.
> 
> Greg
>